const Base32Hex = require(".")

random = () => Math.floor(Math.random() * 1000) + 1

dataset = []

for (let i = 0; i < 100; i++) dataset.push(String(random()))
console.log("Raw dataset\n", dataset)

base32hexEncoded = dataset.map(d => Base32Hex.encode(String(d)))

// Default is ASC order
base32hexEncoded = Base32Hex.sort(base32hexEncoded, false)

dataset.sort((a, b) => b - a)
console.log("Sorted dataset\n", dataset)

console.log("Encoded\n", base32hexEncoded.map(e => e))

base32hexDecoded = base32hexEncoded.map(e => Base32Hex.decode(e))
console.log("Decoded & sorted dataset\n", base32hexDecoded)